%define		mod_name	apparmor
%define 	apxs		/usr/sbin/apxs
Summary:	Apache module: AppArmor
Summary(pl.UTF-8):	Moduł Apache'a: AppArmor
Name:		apache-mod_%{mod_name}
Version:	2.9.0
Release:	1
Epoch:		1
License:	LGPL v2.1
Group:		Networking/Daemons/HTTP
Source0:	http://launchpad.net/apparmor/2.9/%{version}/+download/apparmor-%{version}.tar.gz
# Source0-md5:	daaeb859452f793abfdafd33f88d3e90
Patch0:		apparmor-build.patch
URL:		http://apparmor.wiki.kernel.org/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0.52-2
BuildRequires:	libapparmor-devel >= 1:%{version}
Requires:	apache(modules-api) = %apache_modules_api
Requires:	libapparmor >= 1:%{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d

%description
mod_apparmor adds support to Apache 2 to provide AppArmor confinement
to individual CGI scripts handled by Apache modules like mod_php and
mod_perl. This package is part of a suite of tools that used to be
named SubDomain.

%description -l pl.UTF-8
mod_apparmor dodaje do Apache'a 2 obsługę ograniczeń AppArmor dla
poszczególnych skryptów CGI obsługiwanych przez moduły Apache'a takie
jak mod_php czy mod_perl. Ten pakiet jest częścią zestawu narzędzi
zwanych SubDomain.

%prep
%setup -q -n apparmor-%{version}
%patch0 -p1

%build
%{__make} -C changehat/mod_apparmor mod_%{mod_name}.so \
	APXS=%{apxs}

%install
rm -rf $RPM_BUILD_ROOT

cd changehat/mod_apparmor

install -D mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}/mod_%{mod_name}.so
install -D mod_%{mod_name}.conf $RPM_BUILD_ROOT%{_sysconfdir}/00_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/00_mod_apparmor.conf
%attr(755,root,root) %{_pkglibdir}/mod_apparmor.so
%changelog
* Sat Nov 15 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/apache-mod_apparmor.git;a=log;h=master

* Wed Oct 29 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 376fde0
- up to 2.9.0

* Mon Feb 24 2014 Jakub Bogusz <qboosh@pld-linux.org> 2083ba1
- updated to 2.8.3

* Mon Nov 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ace3b9c
- up to 2.8.2

* Fri May 03 2013 Jan Rękorajski <baggins@pld-linux.org> 5f44247
- release 2 (by relup.sh)

* Fri Jan 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 66b2a35
- up to 2.8.1

* Thu Jun 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a7ae700
- up to 2.8.0

* Sat Apr 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 1d91d4d
- License is LGPL (v2.1)
- libapparmor epoch + install time dependency

* Thu Apr 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> abc5df4
- up to 2.7.2

* Fri Apr 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 070a1a4
- up to 2.6.1

* Sun Mar 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> abac367
- up to 2.6.0

* Tue Mar 16 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 071a8fd
- up to 2.5

* Mon Feb 02 2009 Elan Ruusamäe <glen@pld-linux.org> e51bc92
- no httpd.conf dir provided in th; rel 2

* Sat Oct 25 2008 Paweł Gołaszewski <blues@pld-linux.org> d4c2d6d
- HTTP group

* Mon Jun 09 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 72f069c
- up to 2.3.908

* Thu May 29 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ba59bcf
- up to 2.1.2.907

* Sun Jan 27 2008 dzeus <dzeus@pld-linux.org> a94a444
- rel. 1

* Sun Dec 09 2007 Elan Ruusamäe <glen@pld-linux.org> 7432402
- apache-apxs -> %{apxs} in BR

* Thu Jun 07 2007 shadzik <shadzik@pld-linux.org> ccb297e
- BR s@%{apxs}@apache-apxs@g

* Sat Apr 14 2007 zbyniu <zbyniu@pld-linux.org> 917807c
- up to 2.0.1-306; epoch 1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 87c1804
- tabs in preamble

